=== debian/changelog ===
osmium-tool (1.1.1-2build1) wily; urgency=medium

  * No-change rebuild against libprotobuf-lite9v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 17:39:57 +0000

osmium-tool (1.1.1-2) unstable; urgency=medium

  * Add patch to fix test failure on big endian architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Jul 2015 21:56:07 +0200

osmium-tool (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Add license & copyright for RapidJSON includes.
  * Drop reproducible-build.patch, fixed upstream.
  * Require at least libosmium version 2.2.0.
  * Add lintian override for license-problem-json-evil false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Jul 2015 07:43:37 +0200

osmium-tool (1.0.1-2) unstable; urgency=medium

  * Add patch by Chris Lamb for reproducible build.
    (closes: #790087)
  * Handle other extensions in filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jun 2015 11:11:47 +0200

osmium-tool (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #779938)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jun 2015 21:34:31 +0200
