## osmium-tool 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,8 +26,8 @@
 project(osmium)
 
 set(OSMIUM_VERSION_MAJOR 1)
-set(OSMIUM_VERSION_MINOR 1)
-set(OSMIUM_VERSION_PATCH 1)
+set(OSMIUM_VERSION_MINOR 3)
+set(OSMIUM_VERSION_PATCH 0)
 
 set(OSMIUM_VERSION ${OSMIUM_VERSION_MAJOR}.${OSMIUM_VERSION_MINOR}.${OSMIUM_VERSION_PATCH})
 
@@ -43,7 +43,7 @@
 #-----------------------------------------------------------------------------
 
 find_package(Boost REQUIRED COMPONENTS program_options)
-include_directories(${Boost_INCLUDE_DIRS})
+include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
 
 find_package(Osmium REQUIRED COMPONENTS io)
 include_directories(${OSMIUM_INCLUDE_DIRS})
@@ -121,6 +121,7 @@
     add_man_page(1 osmium-getid)
     add_man_page(1 osmium-merge-changes)
     add_man_page(1 osmium-renumber)
+    add_man_page(1 osmium-sort)
     add_man_page(1 osmium-time-filter)
     add_man_page(5 osmium-file-formats)
