=== debian/changelog ===
osmium-tool (1.3.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Dec 2015 14:21:36 +0100

osmium-tool (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.5.3.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Nov 2015 22:57:28 +0100

osmium-tool (1.2.1-2) unstable; urgency=medium

  * Don't ignore test failures any more, all fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 16:53:52 +0200

osmium-tool (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.4.1.
  * Update Vcs-Browser URL to use HTTPS.
  * Drop big-endian-fileinfo-test.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 16:15:53 +0200

osmium-tool (1.2.0-2) unstable; urgency=medium

  * Restore big-endian-fileinfo-test.patch, not fixed upstream.
  * Ignore test failures to not fail the entire build.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Aug 2015 11:55:32 +0200

osmium-tool (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependencies on osmpbf & protobuf.
  * Bump minimum required libosmium2-dev to 2.3.0.
  * Update copyright file, add license & copyright for catch.hpp.
  * Drop patches, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 21:05:48 +0200
