=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: osmium-tool
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
@@ -10,14 +9,11 @@
                libboost-program-options-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.2.0),
-               libosmpbf-dev,
-               libprotobuf-dev,
-               protobuf-compiler,
+               libosmium2-dev (>= 2.5.3),
                pandoc,
                zlib1g-dev
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/osmium-tool.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmium-tool.git/
 Vcs-Git: git://anonscm.debian.org/pkg-grass/osmium-tool.git
 Homepage: http://osmcode.org/osmium/
