## osmium-tool 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 set(OSMIUM_VERSION_MAJOR 1)
 set(OSMIUM_VERSION_MINOR 3)
-set(OSMIUM_VERSION_PATCH 0)
+set(OSMIUM_VERSION_PATCH 1)
 
 set(OSMIUM_VERSION ${OSMIUM_VERSION_MAJOR}.${OSMIUM_VERSION_MINOR}.${OSMIUM_VERSION_PATCH})
 
@@ -83,7 +83,11 @@
     file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/man/man${_section})
     set(_output_file ${CMAKE_BINARY_DIR}/man/man${_section}/${_name}.${_section})
     set(_source_file ${CMAKE_SOURCE_DIR}/man/${_name}.md)
-    set(_install_dir "share/man/man{$_section}")
+    set(_dest_file ${CMAKE_BINARY_DIR}/man-source/${_name}.md)
+    file(READ ${CMAKE_SOURCE_DIR}/man/common-options.md MAN_COMMON_OPTIONS)
+    file(READ ${CMAKE_SOURCE_DIR}/man/input-options.md MAN_INPUT_OPTIONS)
+    file(READ ${CMAKE_SOURCE_DIR}/man/output-options.md MAN_OUTPUT_OPTIONS)
+    configure_file(${_source_file} ${_dest_file} @ONLY)
     string(TOUPPER ${_name} _name_upcase)
     add_custom_command(OUTPUT ${_output_file}
         COMMAND ${PANDOC}
@@ -91,8 +95,8 @@
             --variable "title=${_name_upcase}"
             --variable "section=${_section}"
             -o ${_output_file}
-            ${_source_file}
-        DEPENDS ${_source_file} man/manpage.template
+            ${_dest_file}
+        DEPENDS ${_source_file} man/manpage.template man/common-options.md man/input-options.md man/output-options.md
         WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
         COMMENT "Building manpage ${_name}.${_section}"
         VERBATIM)
@@ -116,11 +120,13 @@
     add_man_page(1 osmium)
     add_man_page(1 osmium-apply-changes)
     add_man_page(1 osmium-cat)
+    add_man_page(1 osmium-changeset-filter)
     add_man_page(1 osmium-check-refs)
     add_man_page(1 osmium-fileinfo)
     add_man_page(1 osmium-getid)
     add_man_page(1 osmium-merge-changes)
     add_man_page(1 osmium-renumber)
+    add_man_page(1 osmium-show)
     add_man_page(1 osmium-sort)
     add_man_page(1 osmium-time-filter)
     add_man_page(5 osmium-file-formats)
@@ -193,7 +199,7 @@
 # In 'Dev' mode: compile with very strict warnings and turn them into errors.
 if(CMAKE_BUILD_TYPE STREQUAL "Dev")
     if(NOT MSVC)
-        add_definitions(-Werror)
+        add_definitions(-Werror -Wno-unused-variable)
     endif()
     add_definitions(${OSMIUM_WARNING_OPTIONS})
 endif()
