=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 add_executable(osmium ${OSMIUM_SOURCE_FILES})
 
-target_link_libraries(osmium ${Boost_LIBRARIES} ${CRYPTOPP_LIBRARIES} ${OSMIUM_LIBRARIES})
+target_link_libraries(osmium ${Boost_LIBRARIES} ${OSMIUM_LIBRARIES})
 
 install(TARGETS osmium DESTINATION bin)
