=== test/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include_directories(../include)
 
 file(GLOB ALL_SETUP_TESTS */test_setup.cpp)
-file(GLOB ALL_COMMANDS ../src/command_*.cpp ../src/io.cpp ../src/cmd_factory.cpp)
+file(GLOB ALL_COMMANDS ../src/command_*.cpp ../src/io.cpp ../src/cmd.cpp ../src/cmd_factory.cpp)
 add_executable(unit_tests unit_tests.cpp ${ALL_COMMANDS} ${ALL_SETUP_TESTS})
 target_link_libraries(unit_tests ${Boost_LIBRARIES} ${OSMIUM_LIBRARIES})
 add_test(NAME unit_tests COMMAND unit_tests)
@@ -47,7 +47,7 @@
     )
 endfunction()
 
-function(check_output2 _dir _name _command1 _command2 _reference)
+function(check_output2 _dir _name _tmpdir _command1 _command2 _reference)
     set(_cmd1 "$<TARGET_FILE:osmium> ${_command1}")
     set(_cmd2 "$<TARGET_FILE:osmium> ${_command2}")
     add_test(
@@ -56,11 +56,34 @@
         -D cmd:FILEPATH=${_cmd1}
         -D cmd2:FILEPATH=${_cmd2}
         -D dir:PATH=${PROJECT_SOURCE_DIR}/test
+        -D tmpdir:PATH=${_tmpdir}
         -D reference:FILEPATH=${PROJECT_SOURCE_DIR}/test/${_reference}
         -D output:FILEPATH=${PROJECT_BINARY_DIR}/test/${_dir}/cmd-output-${_name}
         -P ${CMAKE_SOURCE_DIR}/cmake/run_test_compare_output.cmake
     )
 endfunction()
+
+
+#-----------------------------------------------------------------------------
+#
+#  Check "osmium SUBCOMMAND -h" for most subcommands.
+#
+#-----------------------------------------------------------------------------
+function(check_cmd_help _command)
+    do_test(help_cmd_${_command} "osmium ${_command} -h" "Usage: osmium ${_command}.*OPTIONS:")
+endfunction()
+
+check_cmd_help(apply-changes)
+check_cmd_help(cat)
+check_cmd_help(changeset-filter)
+check_cmd_help(check-refs)
+check_cmd_help(fileinfo)
+check_cmd_help(getid)
+check_cmd_help(merge-changes)
+check_cmd_help(renumber)
+check_cmd_help(show)
+check_cmd_help(sort)
+check_cmd_help(time-filter)
 
 
 #-----------------------------------------------------------------------------
