=== test/misc/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 do_test(version1 "osmium --version" "^osmium version ${OSMIUM_VERSION}\n")
 do_test(version2 "osmium version"   "^osmium version ${OSMIUM_VERSION}\n")
 
-do_test(unknown_command "osmium x" "^Unknown command 'x'. Try 'osmium help'.\n")
+do_test(unknown_command "osmium x" "^Unknown command or option 'x'. Try 'osmium help'.\n")
 
 
 #-----------------------------------------------------------------------------
