=== debian/changelog ===
osmium-tool (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, update copyright years for Jochen Topf.
  * Drop spelling-errors.patch, applied upstream.
  * Add patch to fix 'output' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jun 2016 21:23:37 +0200

osmium-tool (1.3.0-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update watch file to handle more tag conventions in filenamemangle.
  * Enable all hardening buildflags.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jun 2016 17:44:22 +0200
