=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                libosmium2-dev (>= 2.5.3),
                pandoc,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmium-tool.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/osmium-tool.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmium-tool.git
 Homepage: http://osmcode.org/osmium/
 
 Package: osmium-tool
